<a name="menu">目录</a>
1. [全部交付商](#allList)
1. [列表](#list)
1. [查询](#info)
1. [添加/修改](#save)
1. [删除](#del)

## **<a name="allList"> 全部交付商</a>**
[返回到目录](#menu)
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript

    {
        "action_process": "test",
        "action_type": "deliverAll",
        "action_body": {
        }
    }

```

#### 返回结果
```javascript
    {
        "status": 0,
        "msg": "success",
        "data": [
            {
                "id": "13120681466000118",          // 交付商编码
                "name": "杨庆菊交付商",               // 交付商名号曾
                "businessmenDivide": 5000,          // 个体户分成比例 
                "invoiceDivide": 3221,              // 发票分成比例
                "remark": "备注"                     // 备注

            },
        ],
        "requestid": "5026518c1b354582932e5222bab4a785"
    }
}

```



## **<a name="list"> 列表</a>**
[返回到目录](#menu)
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript
    {
        "action_process": "test",
        "action_type": "deliverPage",
        "action_body": {
            "currentPage": "1",
            "pageSize": "10"
        }
    }

```

#### 返回结果
```javascript
    
    {
        "status": 0,
        "msg": "success",
        "data": {
            "count": 12,
            "rows": [
                {
                    "id": "13120681635001335",                  // 交付商编码
                    "name": "杨庆菊交付商14",                     // 交付商名称
                    "businessmenDivide": 3025,                  // 个体户分成比例
                    "invoiceDivide": 2221,                      // 发票分成比例
                    "isEnabled": 0,                             // 是否可用 0否 1是
                    "remark": "备注"                             // 备注
                    "created_at": "2019-10-03 10:12:14"         // 创建时间
                },
            ]
        },
        "requestid": "1e18fd911db84525a964e9a17d8c83d1"
    }

```




## **<a name="save"> 添加/修改</a>**
[返回到目录](#menu)
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript

    {
        "action_process": "test",
        "action_type": "deliverSave",
        "action_body": {
            "id" : "",                          // 交付商编码 空的时候新增，具体id时修改
            "name" : "杨庆菊交付商14",            // 交付商名号曾
            "businessmenDivide" : 3025,         // 个体户分成比例
            "invoiceDivide" : 2221,             // 发票分成比例
            "remark": "备注"                     // 备注
            "isEnabled" : 0                     // 是否可用 0否 1是
        }
    }

```


#### 返回结果
```javascript
    {
        "status": 0,
        "msg": "success",
        "data": {}
    }

```



## **<a name="del"> 删除</a>**
[返回到目录](#menu)
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript

    {
        "action_process": "test",
        "action_type": "deliverDelete",
        "action_body": {
            "ids": ["12218127593000590","12218127593000592"...]                   // 交付商编码数组
        }
    }
```

#### 返回结果
```javascript
    {
        "status": 0,
        "msg": "success"
    }

```